IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:6600::/72- First address
2001:db8:0:0:6600::- Last address
2001:db8::66ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:6600:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
6.6.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:6600::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:6600::/80 | 2001:db8::6600:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:6601::/80 | 2001:db8::6601:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:6602::/80 | 2001:db8::6602:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:6603::/80 | 2001:db8::6603:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:6604::/80 | 2001:db8::6604:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:6605::/80 | 2001:db8::6605:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:6606::/80 | 2001:db8::6606:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:6607::/80 | 2001:db8::6607:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:6608::/80 | 2001:db8::6608:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:6609::/80 | 2001:db8::6609:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:660a::/80 | 2001:db8::660a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:660b::/80 | 2001:db8::660b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:660c::/80 | 2001:db8::660c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:660d::/80 | 2001:db8::660d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:660e::/80 | 2001:db8::660e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:660f::/80 | 2001:db8::660f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:6610::/80 | 2001:db8::6610:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:6611::/80 | 2001:db8::6611:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:6612::/80 | 2001:db8::6612:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:6613::/80 | 2001:db8::6613:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:6614::/80 | 2001:db8::6614:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:6615::/80 | 2001:db8::6615:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:6616::/80 | 2001:db8::6616:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:6617::/80 | 2001:db8::6617:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:6618::/80 | 2001:db8::6618:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:6619::/80 | 2001:db8::6619:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:661a::/80 | 2001:db8::661a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:661b::/80 | 2001:db8::661b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:661c::/80 | 2001:db8::661c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:661d::/80 | 2001:db8::661d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:661e::/80 | 2001:db8::661e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:661f::/80 | 2001:db8::661f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:6620::/80 | 2001:db8::6620:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:6621::/80 | 2001:db8::6621:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:6622::/80 | 2001:db8::6622:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:6623::/80 | 2001:db8::6623:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:6624::/80 | 2001:db8::6624:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:6625::/80 | 2001:db8::6625:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:6626::/80 | 2001:db8::6626:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:6627::/80 | 2001:db8::6627:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:6628::/80 | 2001:db8::6628:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:6629::/80 | 2001:db8::6629:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:662a::/80 | 2001:db8::662a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:662b::/80 | 2001:db8::662b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:662c::/80 | 2001:db8::662c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:662d::/80 | 2001:db8::662d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:662e::/80 | 2001:db8::662e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:662f::/80 | 2001:db8::662f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:6630::/80 | 2001:db8::6630:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:6631::/80 | 2001:db8::6631:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:6632::/80 | 2001:db8::6632:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:6633::/80 | 2001:db8::6633:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:6634::/80 | 2001:db8::6634:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:6635::/80 | 2001:db8::6635:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:6636::/80 | 2001:db8::6636:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:6637::/80 | 2001:db8::6637:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:6638::/80 | 2001:db8::6638:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:6639::/80 | 2001:db8::6639:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:663a::/80 | 2001:db8::663a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:663b::/80 | 2001:db8::663b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:663c::/80 | 2001:db8::663c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:663d::/80 | 2001:db8::663d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:663e::/80 | 2001:db8::663e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:663f::/80 | 2001:db8::663f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:6640::/80 | 2001:db8::6640:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:6641::/80 | 2001:db8::6641:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:6642::/80 | 2001:db8::6642:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:6643::/80 | 2001:db8::6643:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:6644::/80 | 2001:db8::6644:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:6645::/80 | 2001:db8::6645:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:6646::/80 | 2001:db8::6646:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:6647::/80 | 2001:db8::6647:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:6648::/80 | 2001:db8::6648:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:6649::/80 | 2001:db8::6649:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:664a::/80 | 2001:db8::664a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:664b::/80 | 2001:db8::664b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:664c::/80 | 2001:db8::664c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:664d::/80 | 2001:db8::664d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:664e::/80 | 2001:db8::664e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:664f::/80 | 2001:db8::664f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:6650::/80 | 2001:db8::6650:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:6651::/80 | 2001:db8::6651:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:6652::/80 | 2001:db8::6652:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:6653::/80 | 2001:db8::6653:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:6654::/80 | 2001:db8::6654:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:6655::/80 | 2001:db8::6655:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:6656::/80 | 2001:db8::6656:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:6657::/80 | 2001:db8::6657:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:6658::/80 | 2001:db8::6658:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:6659::/80 | 2001:db8::6659:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:665a::/80 | 2001:db8::665a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:665b::/80 | 2001:db8::665b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:665c::/80 | 2001:db8::665c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:665d::/80 | 2001:db8::665d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:665e::/80 | 2001:db8::665e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:665f::/80 | 2001:db8::665f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:6660::/80 | 2001:db8::6660:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:6661::/80 | 2001:db8::6661:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:6662::/80 | 2001:db8::6662:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:6663::/80 | 2001:db8::6663:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:6664::/80 | 2001:db8::6664:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:6665::/80 | 2001:db8::6665:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:6666::/80 | 2001:db8::6666:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:6667::/80 | 2001:db8::6667:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:6668::/80 | 2001:db8::6668:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:6669::/80 | 2001:db8::6669:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:666a::/80 | 2001:db8::666a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:666b::/80 | 2001:db8::666b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:666c::/80 | 2001:db8::666c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:666d::/80 | 2001:db8::666d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:666e::/80 | 2001:db8::666e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:666f::/80 | 2001:db8::666f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:6670::/80 | 2001:db8::6670:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:6671::/80 | 2001:db8::6671:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:6672::/80 | 2001:db8::6672:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:6673::/80 | 2001:db8::6673:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:6674::/80 | 2001:db8::6674:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:6675::/80 | 2001:db8::6675:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:6676::/80 | 2001:db8::6676:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:6677::/80 | 2001:db8::6677:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:6678::/80 | 2001:db8::6678:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:6679::/80 | 2001:db8::6679:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:667a::/80 | 2001:db8::667a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:667b::/80 | 2001:db8::667b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:667c::/80 | 2001:db8::667c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:667d::/80 | 2001:db8::667d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:667e::/80 | 2001:db8::667e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:667f::/80 | 2001:db8::667f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:6680::/80 | 2001:db8::6680:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:6681::/80 | 2001:db8::6681:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:6682::/80 | 2001:db8::6682:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:6683::/80 | 2001:db8::6683:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:6684::/80 | 2001:db8::6684:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:6685::/80 | 2001:db8::6685:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:6686::/80 | 2001:db8::6686:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:6687::/80 | 2001:db8::6687:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:6688::/80 | 2001:db8::6688:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:6689::/80 | 2001:db8::6689:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:668a::/80 | 2001:db8::668a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:668b::/80 | 2001:db8::668b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:668c::/80 | 2001:db8::668c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:668d::/80 | 2001:db8::668d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:668e::/80 | 2001:db8::668e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:668f::/80 | 2001:db8::668f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:6690::/80 | 2001:db8::6690:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:6691::/80 | 2001:db8::6691:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:6692::/80 | 2001:db8::6692:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:6693::/80 | 2001:db8::6693:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:6694::/80 | 2001:db8::6694:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:6695::/80 | 2001:db8::6695:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:6696::/80 | 2001:db8::6696:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:6697::/80 | 2001:db8::6697:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:6698::/80 | 2001:db8::6698:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:6699::/80 | 2001:db8::6699:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:669a::/80 | 2001:db8::669a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:669b::/80 | 2001:db8::669b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:669c::/80 | 2001:db8::669c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:669d::/80 | 2001:db8::669d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:669e::/80 | 2001:db8::669e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:669f::/80 | 2001:db8::669f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:66a0::/80 | 2001:db8::66a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:66a1::/80 | 2001:db8::66a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:66a2::/80 | 2001:db8::66a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:66a3::/80 | 2001:db8::66a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:66a4::/80 | 2001:db8::66a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:66a5::/80 | 2001:db8::66a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:66a6::/80 | 2001:db8::66a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:66a7::/80 | 2001:db8::66a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:66a8::/80 | 2001:db8::66a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:66a9::/80 | 2001:db8::66a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:66aa::/80 | 2001:db8::66aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:66ab::/80 | 2001:db8::66ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:66ac::/80 | 2001:db8::66ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:66ad::/80 | 2001:db8::66ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:66ae::/80 | 2001:db8::66ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:66af::/80 | 2001:db8::66af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:66b0::/80 | 2001:db8::66b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:66b1::/80 | 2001:db8::66b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:66b2::/80 | 2001:db8::66b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:66b3::/80 | 2001:db8::66b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:66b4::/80 | 2001:db8::66b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:66b5::/80 | 2001:db8::66b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:66b6::/80 | 2001:db8::66b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:66b7::/80 | 2001:db8::66b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:66b8::/80 | 2001:db8::66b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:66b9::/80 | 2001:db8::66b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:66ba::/80 | 2001:db8::66ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:66bb::/80 | 2001:db8::66bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:66bc::/80 | 2001:db8::66bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:66bd::/80 | 2001:db8::66bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:66be::/80 | 2001:db8::66be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:66bf::/80 | 2001:db8::66bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:66c0::/80 | 2001:db8::66c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:66c1::/80 | 2001:db8::66c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:66c2::/80 | 2001:db8::66c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:66c3::/80 | 2001:db8::66c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:66c4::/80 | 2001:db8::66c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:66c5::/80 | 2001:db8::66c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:66c6::/80 | 2001:db8::66c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:66c7::/80 | 2001:db8::66c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:66c8::/80 | 2001:db8::66c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:66c9::/80 | 2001:db8::66c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:66ca::/80 | 2001:db8::66ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:66cb::/80 | 2001:db8::66cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:66cc::/80 | 2001:db8::66cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:66cd::/80 | 2001:db8::66cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:66ce::/80 | 2001:db8::66ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:66cf::/80 | 2001:db8::66cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:66d0::/80 | 2001:db8::66d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:66d1::/80 | 2001:db8::66d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:66d2::/80 | 2001:db8::66d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:66d3::/80 | 2001:db8::66d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:66d4::/80 | 2001:db8::66d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:66d5::/80 | 2001:db8::66d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:66d6::/80 | 2001:db8::66d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:66d7::/80 | 2001:db8::66d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:66d8::/80 | 2001:db8::66d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:66d9::/80 | 2001:db8::66d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:66da::/80 | 2001:db8::66da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:66db::/80 | 2001:db8::66db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:66dc::/80 | 2001:db8::66dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:66dd::/80 | 2001:db8::66dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:66de::/80 | 2001:db8::66de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:66df::/80 | 2001:db8::66df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:66e0::/80 | 2001:db8::66e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:66e1::/80 | 2001:db8::66e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:66e2::/80 | 2001:db8::66e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:66e3::/80 | 2001:db8::66e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:66e4::/80 | 2001:db8::66e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:66e5::/80 | 2001:db8::66e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:66e6::/80 | 2001:db8::66e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:66e7::/80 | 2001:db8::66e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:66e8::/80 | 2001:db8::66e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:66e9::/80 | 2001:db8::66e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:66ea::/80 | 2001:db8::66ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:66eb::/80 | 2001:db8::66eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:66ec::/80 | 2001:db8::66ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:66ed::/80 | 2001:db8::66ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:66ee::/80 | 2001:db8::66ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:66ef::/80 | 2001:db8::66ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:66f0::/80 | 2001:db8::66f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:66f1::/80 | 2001:db8::66f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:66f2::/80 | 2001:db8::66f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:66f3::/80 | 2001:db8::66f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:66f4::/80 | 2001:db8::66f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:66f5::/80 | 2001:db8::66f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:66f6::/80 | 2001:db8::66f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:66f7::/80 | 2001:db8::66f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:66f8::/80 | 2001:db8::66f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:66f9::/80 | 2001:db8::66f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:66fa::/80 | 2001:db8::66fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:66fb::/80 | 2001:db8::66fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:66fc::/80 | 2001:db8::66fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:66fd::/80 | 2001:db8::66fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:66fe::/80 | 2001:db8::66fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:66ff::/80 | 2001:db8::66ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |